version: 0.2

phases:
  build:
    commands:
      - echo Build started on `date`
      - export GOPATH=/go
      - export SDK_CB_ROOT=`pwd`
      - export SDK_GO_ROOT=/go/src/github.com/aws/aws-sdk-go
      - mkdir -p /go/src/github.com/aws
      - ln -s $SDK_CB_ROOT $SDK_GO_ROOT
      - cd $SDK_GO_ROOT
      - make ci-test
      - cd $SDK_CB_ROOT
      - #echo Compiling the Go code...
  post_build:
    commands:
      - echo Build completed on `date`
#artifacts:
#  files:
#    - hello
